%% 100D FUNCTION
%
% This script contains the model and probabilistic input definitions for
% the 100-dimensional function

%% 1 - INITIALIZE UQLAB
%
clearvars
uqlab

%% 2 - COMPUTATIONAL MODEL
%
MOpts.mFile = 'uq_many_inputs_model';
MOpts.isVectorized = true;
MOpts.Name = 'manyInputsModel';
myModel = uq_createModel(MOpts);

%% 3 - PROBABILISTIC INPUT MODEL
%
%  Create a stochastic input model with 100 input variables uniformly
%  distributed

% Create the input marginals
M = 100;
for ii = 1:M
    % Marginal type of the iith variable:
    IOpts.Marginals(ii).Type = 'Uniform';
    if ii == 20
        IOpts.Marginals(ii).Parameters = [1 3];
    else
        IOpts.Marginals(ii).Parameters = [1 2];
    end
end

% Create the input model
myInput = uq_createInput(IOpts);
